# Trait ethcore::evm::evm::Finalize [−] [src]

    pub trait Finalize {
        fn finalize<E: Ext>(self, ext: E) -> Result<U256>;
    }

Types that can be "finalized" using an EVM.

In practice, this is just used to define an inherent impl on `Reult<GasLeft<'a>>`.

## Required Methods

### `fn finalize<E: Ext>(self, ext: E) -> Result<U256>`

Consume the externalities, call return if necessary, and produce a final amount of gas left.

## Implementors

- `impl<'a> Finalize for Result<GasLeft<'a>>`

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)